Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.deser.impl
Class MethodProperty

    java.lang.Object
      com.fasterxml.jackson.databind.deser.SettableBeanProperty
          com.fasterxml.jackson.databind.deser.impl.MethodProperty

All Implemented Interfaces:
  BeanProperty, Named

    public final class MethodProperty

extends SettableBeanProperty

This concrete sub-class implements property that is set using regular "setter" method.

Nested Class Summary

Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty
`BeanProperty.Std`

Field Summary
`protected AnnotatedMethod` | `_annotated`
`protected Method` | `_setter` Setter method for modifying property value; used for "regular" method-accessible properties.

Fields inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty
`_contextAnnotations, _managedReferenceName, _nullProvider, _propertyIndex, _propName, _type, _valueDeserializer, _valueTypeDeserializer, _viewMatcher`

Constructor Summary
`` | `MethodProperty(BeanPropertyDefinition propDef, JavaType type, TypeDeserializer typeDeser, Annotations contextAnnotations, AnnotatedMethod method)`
`protected` | `MethodProperty(MethodProperty src, JsonDeserializer<?> deser)`
`protected` | `MethodProperty(MethodProperty src, String newName)`

Method Summary
`void` | `deserializeAndSet(com.fasterxml.jackson.core.JsonParser jp, DeserializationContext ctxt, Object instance)` Method called to deserialize appropriate value, given parser (and context), and set it using appropriate mechanism.
`Object` | `deserializeSetAndReturn(com.fasterxml.jackson.core.JsonParser jp, DeserializationContext ctxt, Object instance)` Alternative to `SettableBeanProperty.deserializeAndSet(com.fasterxml.jackson.core.JsonParser, com.fasterxml.jackson.databind.DeserializationContext, java.lang.Object)` that returns either return value of setter method called (if one is), or null to indicate that no return value is available.
`
`<A extends Annotation> A`
` | `getAnnotation(Class<A> acls)` Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
`AnnotatedMember` | `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
`void` | `set(Object instance, Object value)` Method called to assign given value to this property, on specified Object.
`Object` | `setAndReturn(Object instance, Object value)` Method called to assign given value to this property, on specified Object, and return whatever delegating accessor returned (if anything)
`MethodProperty` | `withName(String newName)`
`MethodProperty` | `withValueDeserializer(JsonDeserializer<?> deser)`

Methods inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty
`_throwAsIOE, _throwAsIOE, assignIndex, deserialize, getContextAnnotation, getDeclaringClass, getInjectableValueId, getManagedReferenceName, getName, getPropertyIndex, getType, getValueDeserializer, getValueTypeDeserializer, hasValueDeserializer, hasValueTypeDeserializer, hasViews, setManagedReferenceName, setViews, toString, visibleInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _annotated

    protected final AnnotatedMethod _annotated

### _setter

    protected final Method _setter

  Setter method for modifying property value; used for "regular" method-accessible properties.

Constructor Detail

### MethodProperty

    public MethodProperty(BeanPropertyDefinition propDef,
                          JavaType type,
                          TypeDeserializer typeDeser,
                          Annotations contextAnnotations,
                          AnnotatedMethod method)

### MethodProperty

    protected MethodProperty(MethodProperty src,
                             JsonDeserializer<?> deser)

### MethodProperty

    protected MethodProperty(MethodProperty src,
                             String newName)

Method Detail

### withName

    public MethodProperty withName(String newName)

  Specified by:
    `withName` in class `SettableBeanProperty`

### withValueDeserializer

    public MethodProperty withValueDeserializer(JsonDeserializer<?> deser)

  Specified by:
    `withValueDeserializer` in class `SettableBeanProperty`

### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> acls)

  Description copied from interface: `BeanProperty`
  Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.

  Specified by:
    `getAnnotation` in interface `BeanProperty`
  Specified by:
    `getAnnotation` in class `SettableBeanProperty`

### getMember

    public AnnotatedMember getMember()

  Description copied from interface: `BeanProperty`
  Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.

  Specified by:
    `getMember` in interface `BeanProperty`
  Specified by:
    `getMember` in class `SettableBeanProperty`

### deserializeAndSet

    public void deserializeAndSet(com.fasterxml.jackson.core.JsonParser jp,
                                  DeserializationContext ctxt,
                                  Object instance)
                           throws IOException,
                                  com.fasterxml.jackson.core.JsonProcessingException

  Description copied from class: `SettableBeanProperty`
  Method called to deserialize appropriate value, given parser (and context), and set it using appropriate mechanism. Pre-condition is that passed parser must point to the first token that should be consumed to produce the value (the only value for scalars, multiple for Objects and Arrays).

  Specified by:
    `deserializeAndSet` in class `SettableBeanProperty`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

### deserializeSetAndReturn

    public Object deserializeSetAndReturn(com.fasterxml.jackson.core.JsonParser jp,
                                          DeserializationContext ctxt,
                                          Object instance)
                                   throws IOException,
                                          com.fasterxml.jackson.core.JsonProcessingException

  Description copied from class: `SettableBeanProperty`
  Alternative to `SettableBeanProperty.deserializeAndSet(com.fasterxml.jackson.core.JsonParser, com.fasterxml.jackson.databind.DeserializationContext, java.lang.Object)` that returns either return value of setter method called (if one is), or null to indicate that no return value is available. Mostly used to support Builder style deserialization.

  Specified by:
    `deserializeSetAndReturn` in class `SettableBeanProperty`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonProcessingException`

### set

    public final void set(Object instance,
                          Object value)
                   throws IOException

  Description copied from class: `SettableBeanProperty`
  Method called to assign given value to this property, on specified Object.

  Specified by:
    `set` in class `SettableBeanProperty`
  Throws:
    `IOException`

### setAndReturn

    public Object setAndReturn(Object instance,
                               Object value)
                        throws IOException

  Description copied from class: `SettableBeanProperty`
  Method called to assign given value to this property, on specified Object, and return whatever delegating accessor returned (if anything)

  Specified by:
    `setAndReturn` in class `SettableBeanProperty`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.